收藏
回答

miniProgram.screenshot截图报错?

微信开发工具版本1.02.2003250,版本库为2.9.5,使用miniprogram-automator,脚本中调用miniProgram.screenshot运行失败,报fail to capture screenshot。

调用代码:

    await miniProgram.screenshot({

      path: path.resolve(__dirname, '../screenshot/newIndex.png'),

    });


最后一次编辑于  2020-04-02
回答关注问题邀请回答
收藏

3 个回答

  • RedHood
    RedHood
    2020-04-02

    截图基础库版本要求 2.9.5 及以上

    2020-04-02
    有用
    回复 3
    • white
      white
      2020-04-02
      基础库版本是2.9.5
      2020-04-02
      回复
    • RedHood
      RedHood
      2020-04-07回复white
      这边试了可以正常使用,跟小程序有没有关系?直接新建一个空小程序会出问题吗?
      2020-04-07
      回复
    • RedHood
      RedHood
      2020-04-22回复white
      清除下缓存看能不能行
      2020-04-22
      回复
  • 荆二冲
    荆二冲
    2020-04-10

    解决了吗? 一样的问题,最新开发者工具,基础库2.10.4, 一开始可以用,后来突然就不行了

    2020-04-10
    有用
    回复 1
    • 迈巧克力
      迈巧克力
      2020-04-11
      没有,老不行了
      2020-04-11
      回复
  • 迈巧克力
    迈巧克力
    2020-04-02

    同问,坑得很,开始正常,后面时灵时不灵的,最后彻底不行了,必现了

    还有现在安装了最新版开发者工具后就必须用CLI v2了吗,今天突然发现之前的用不了了

    2020-04-02
    有用
    回复 3
    • RedHood
      RedHood
      2020-04-07
      cli v1 目前是可以同时使用的,麻烦描述下具体是怎么用不了?
      2020-04-07
      回复
    • 迈巧克力
      迈巧克力
      2020-04-07回复RedHood
      一直报这个错误:


      [error] o [HTTPError]: Response code 400 (Bad Request)
          at EventEmitter.<anonymous> (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/js/common/cli/index.js:1:258781)
          at processTicksAndRejections (internal/process/task_queues.js:85:5) {
        name: 'HTTPError'
      }


      重新安装老版本工具就好了
      2020-04-07
      回复
    • RedHood
      RedHood
      2020-04-07回复迈巧克力
      具体是哪个版本的工具,执行哪条命令会有这个错误?
      2020-04-07
      回复
登录 后发表内容
问题标签